itpp::Pattern_Source Class Reference
Signal Processing (SP) Module » Deterministic Sources

Pattern source. More...

`#include <itpp/signal/source.h>`

## Public Member Functions

| Pattern_Source (const vec &pattern, int start_pos=0)
| Constructor. Set pattern and start position.
virtual | ~Pattern_Source ()
| Destructor.
double | operator() ()
| Return a single sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Pattern source.

Definition at line 149 of file source.h.

## Constructor & Destructor Documentation

## Pattern_Source()

itpp::Pattern_Source::Pattern_Source | ( | const vec & | pattern,
|  | int | start_pos = `0`
| ) |  |

Constructor. Set pattern and start position.

Definition at line 268 of file source.cpp.

## ~Pattern_Source()

virtual itpp::Pattern_Source::~Pattern_Source | ( |  | ) |

inlinevirtual

Destructor.

Definition at line 155 of file source.h.

## Member Function Documentation

## operator()() [1/3]

double itpp::Pattern_Source::operator() | ( |  | ) |

inline

Return a single sample.

Definition at line 157 of file source.h.

## operator()() [2/3]

vec itpp::Pattern_Source::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 297 of file source.cpp.

## operator()() [3/3]

mat itpp::Pattern_Source::operator() | ( | int | h,
|  | int | w
| ) |  |

Get a sample matrix.

Definition at line 307 of file source.cpp.

The documentation for this class was generated from the following files:

- itpp/signal/source.h
- itpp/signal/source.cpp

Generated on Mon Jun 10 2024 11:49:39 for IT++ by Doxygen 1.9.8